/* 
* This file is part of STiD135 OXFORD LLA 
* 
* Copyright (c) <2014>-<2018>, STMicroelectronics - All Rights Reserved 
* Author(s): Mathias Hilaire (mathias.hilaire@st.com), Thierry Delahaye (thierry.delahaye@st.com) for STMicroelectronics. 
* 
* License terms: BSD 3-clause "New" or "Revised" License. 
* 
* Redistribution and use in source and binary forms, with or without 
* modification, are permitted provided that the following conditions are met: 
* 
* 1. Redistributions of source code must retain the above copyright notice, this 
* list of conditions and the following disclaimer. 
* 
* 2. Redistributions in binary form must reproduce the above copyright notice, 
* this list of conditions and the following disclaimer in the documentation 
* and/or other materials provided with the distribution. 
* 
* 3. Neither the name of the copyright holder nor the names of its contributors 
* may be used to endorse or promote products derived from this software 
* without specific prior written permission. 
* 
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
* AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
* DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE 
* FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
* DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
* SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
* CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, 
* OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
* OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
* 
*/ 
#ifndef _NORTH_SYSCONF_REG_INIT_H
#define _NORTH_SYSCONF_REG_INIT_H

/* -------------------------------------------------------------------------
 * File name  : north_sysconf_reg_init.h
 * File type  : C header file
 * -------------------------------------------------------------------------
 * Description:  Register map constants
 * Generated by spirit2regtest v2.24_alpha3
 * -------------------------------------------------------------------------
 */


/* Register map constants */

/* RESERVED0 */
#define RSTID135_SYSCFG_NORTH_RESERVED0                              0x00000000
#define RSTID135_SYSCFG_NORTH_RESERVED0__DEFAULT                     0x0       

/* SYSTEM_STATUS16 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_STATUS16                        0x00000040
#define RSTID135_SYSCFG_NORTH_SYSTEM_STATUS16__DEFAULT               0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_STATUS16_THS_VOBS__MASK         0x00000001

/* SYSTEM_CONFIG32 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG32                        0x00000080
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG32__DEFAULT               0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG32_SMPS_SEL_CLK__MASK     0x00000001

/* SYSTEM_CONFIG33 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG33                        0x00000084
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG33__DEFAULT               0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG33_SMPS_POFF__MASK        0x00000001

/* SYSTEM_CONFIG34 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG34                        0x00000088
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG34__DEFAULT               0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG34_SELCURRENTFREQ__MASK   0x00000001

/* SYSTEM_CONFIG35 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG35                        0x0000008c
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG35__DEFAULT               0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG35_SMPS_BYPASS_CALIBRATE__MASK 0x00000001
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG35_SMPS_START_CALIBRATE__MASK 0x00000002

/* SYSTEM_CONFIG36 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG36                        0x00000090
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG36__DEFAULT               0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG36_SMPS_VREF_SELECT__MASK 0x00000007

/* SYSTEM_CONFIG37 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG37                        0x00000094
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG37__DEFAULT               0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG37_SMPS_TEST_SELECT__MASK 0x00000007

/* SYSTEM_CONFIG38 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG38                        0x00000098
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG38__DEFAULT               0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG38_SMPS_EXT_CAPA_SELECT__MASK 0x0000001F

/* SYSTEM_CONFIG39 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG39                        0x0000009c
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG39__DEFAULT               0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG39_SMPS_EN_TEST__MASK     0x00000001
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG39_SMPS_TEST__MASK        0x00000002
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG39_SMPS_EN_LOOP__MASK     0x00000004

/* SYSTEM_STATUS48 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_STATUS48                        0x000000c0
#define RSTID135_SYSCFG_NORTH_SYSTEM_STATUS48__DEFAULT               0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_STATUS48_SMPS_VCAL_END__MASK    0x00000001

/* SYSTEM_STATUS49 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_STATUS49                        0x000000c4
#define RSTID135_SYSCFG_NORTH_SYSTEM_STATUS49__DEFAULT               0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_STATUS49_SMPS_VCAL_START__MASK  0x00000001

/* SYSTEM_STATUS50 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_STATUS50                        0x000000c8
#define RSTID135_SYSCFG_NORTH_SYSTEM_STATUS50__DEFAULT               0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_STATUS50_SMPS_CAPA_SELECT__MASK 0x0000001F

/* SYSTEM_STATUS51 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_STATUS51                        0x000000cc
#define RSTID135_SYSCFG_NORTH_SYSTEM_STATUS51__DEFAULT               0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_STATUS51_SMPS_SOFT_START_BEGIN__MASK 0x00000001

/* SYSTEM_STATUS52 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_STATUS52                        0x000000d0
#define RSTID135_SYSCFG_NORTH_SYSTEM_STATUS52__DEFAULT               0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_STATUS52_SMPS_SOFT_START_END__MASK 0x00000001

/* SYSTEM_CONFIG64 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG64                        0x00000100
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG64__DEFAULT               0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG64_NORTH_COMP3V3_EN__MASK 0x00000001
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG64_NORTH_COMP3V3_COMPTQ__MASK 0x00000002
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG64_NORTH_COMP3V3_FREEZE__MASK 0x00000004
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG64_NORTH_COMP3V3_ACCURATE__MASK 0x00000008
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG64_RESERVED_COMP_CONFIG__MASK 0x000000F0
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG64_NORTH_COMP3V3_RASRC__MASK 0x00007F00
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG64_NORTH_COMP_RESERVED__MASK 0x00008000
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG64_SOUTH_COMP3V3_EN__MASK 0x00010000
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG64_SOUTH_COMP3V3_COMPTQ__MASK 0x00020000
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG64_SOUTH_COMP3V3_FREEZE__MASK 0x00040000
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG64_SOUTH_COMP3V3_ACCURATE__MASK 0x00080000
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG64_SOUTH_RESERVED_COMP_CONFIG__MASK 0x00F00000
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG64_SOUTH_COMP3V3_RASRC__MASK 0x7F000000
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG64_SOUTH_COMP_RESERVED__MASK 0x80000000

/* SYSTEM_STATUS80 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_STATUS80                        0x00000140
#define RSTID135_SYSCFG_NORTH_SYSTEM_STATUS80__DEFAULT               0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_STATUS80_NORTH_COMP3V3_OK__MASK 0x00000001
#define FSTID135_SYSCFG_NORTH_SYSTEM_STATUS80_NORTH_COMP3V3_NASRC__MASK 0x000000FE
#define FSTID135_SYSCFG_NORTH_SYSTEM_STATUS80_SOUTH_COMP3V3_OK__MASK 0x00000100
#define FSTID135_SYSCFG_NORTH_SYSTEM_STATUS80_SOUTH_COMP3V3_NASRC__MASK 0x0000FE00

/* SYSTEM_CONFIG96 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG96                        0x00000180
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG96__DEFAULT               0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG96_STATIC_ADC_ENABLE__MASK 0x00000001

/* SYSTEM_CONFIG97 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG97                        0x00000184
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG97__DEFAULT               0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG97_STATIC_ADC_DUMP__MASK  0x00000001
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG97_STATIC_TST_BYPASS_DIVIDER__MASK 0x00000002

/* SYSTEM_CONFIG98 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG98                        0x00000188
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG98__DEFAULT               0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG98_STATIC_ADC_MEM_MAX_SAMPLING__MASK 0x000003FF

/* SYSTEM_CONFIG99 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG99                        0x0000018c
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG99__DEFAULT               0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG99_STATIC_ADC_DIV_CLK__MASK 0x00000003

/* SYSTEM_STATUS112 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_STATUS112                       0x000001c0
#define RSTID135_SYSCFG_NORTH_SYSTEM_STATUS112__DEFAULT              0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_STATUS112_STATIC_ADC_END_STORE__MASK 0x00000001
#define FSTID135_SYSCFG_NORTH_SYSTEM_STATUS112_STATIC_ADC_END_DUMP__MASK 0x00000002

/* SYSTEM_STATUS144 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_STATUS144                       0x00000240
#define RSTID135_SYSCFG_NORTH_SYSTEM_STATUS144__DEFAULT              0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_STATUS144_FLEX_CLOCKGEN_JE_STATUS__MASK 0x00000007
#define FSTID135_SYSCFG_NORTH_SYSTEM_STATUS144_FLEX_CLOCKGEN_JE_DYN_OUT__MASK 0x00000008

/* SYSTEM_CONFIG160 */
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG160                       0x00000280
#define RSTID135_SYSCFG_NORTH_SYSTEM_CONFIG160__DEFAULT              0x0       
#define FSTID135_SYSCFG_NORTH_SYSTEM_CONFIG160_ETI_ADC_TST_DIGAD_IQ_SEL__MASK 0x00000007


/* Number of registers */
#define STID135_NORTH_SYSCONF_REG_NBREGS                             24        

/* Number of fields */
#define STID135_NORTH_SYSCONF_REG_NBFIELDS                           45        



#endif /* #ifndef _NORTH_SYSCONF_REG_INIT_H */
